Library Version 18.1.40

DbSequence::get_dbp()
Prev | Chapter 12. The DbSequence Handle | Next

## DbSequence::get_dbp()

    #include <db_cxx.h>

    int
    DbSequence::get_dbp(Db **dbp);

The `DbSequence::get_dbp()` method returns the database handle used by the sequence.

The `DbSequence::get_dbp()` method may be called at any time during the life of the application.

The `DbSequence::get_dbp()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### dbp

The dbp parameter references memory into which a pointer to the database handle is copied.

### Class

DbSequence

### See Also

Sequences and Related Methods

Prev | Up | Next
DbSequence::get_cachesize() | Home | DbSequence::get_flags()